#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 16

Summary:        The Oxygen font family
Name:           oxygen-fonts
Version:        5.4.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Fonts/True type
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:         oxygen-fonts-5.3.95-fix-path.patch
Patch1:         oxygen-fonts-cmake-4.0.patch
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

BuildRequires:  fontforge

%description
The Oxygen font family.
A desktop/gui font family for integrated use with the KDE desktop.


%package -n fonts-ttf-oxygen
Summary:        The Oxygen font family
Group:          System/Fonts/True type

Obsoletes:      oxygen-fonts < 5.4.3-15
Provides:       oxygen-fonts = %{version}-%{release}

%description -n fonts-ttf-oxygen
The Oxygen font family.
A desktop/gui font family for integrated use with the KDE desktop.

%files -n fonts-ttf-oxygen
%_kf6_datadir/fonts/TTF/oxygen/

#--------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release

%description devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kf6_datadir/cmake/OxygenFont/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DCMAKECONFIG_INSTALL_PREFIX=%{_datadir}/cmake \
           -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install


%changelog
* Sat Jul 05 2025 aurr <aurr> 5.4.3-16.mga10
+ Revision: 2247033
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Jan 14 2024 daviddavid <daviddavid> 5.4.3-15.mga10
+ Revision: 2031183
- move truetype fonts to '/usr/share/fonts/TTF' and create fonts-ttf-oxygen sub-pkg
- make it noarch

* Mon Apr 04 2022 umeabot <umeabot> 5.4.3-14.mga9
+ Revision: 1843404
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 luigiwalser <luigiwalser> 5.4.3-13.mga8
+ Revision: 1660530
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 5.4.3-12.mga8
+ Revision: 1659224
- Rebuild for new Qt5

* Fri Feb 14 2020 umeabot <umeabot> 5.4.3-11.mga8
+ Revision: 1515744
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 5.4.3-10.mga7
+ Revision: 1300079
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Simplify spec file
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.4.3-2.mga6
+ Revision: 913598
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.4.3-1.mga6
+ Revision: 910702
- Revert to 5.4.3
- New version 5.5.1
- New version 5.5.0
- New version 5.4.95
- Rebuild against fixed qtbase5
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889528
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874740
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869657
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863620
- New version 5.3.95

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 860897
- Add back po files

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850684
- New version 5.3.2

* Sun Dec 21 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804543
- New version 5.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0.1-3.mga5
+ Revision: 742562
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0.1-2.mga5
+ Revision: 683294
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 0.4.0.1-1.mga5
+ Revision: 663151
- imported package oxygen-fonts

